import React, { useEffect, useState } from "react";
var CircularProgress = function () {
    var _a = useState(0), rotation = _a[0], setRotation = _a[1];
    useEffect(function () {
        var intervalId = setInterval(function () {
            setRotation(function (rotation) { return rotation + 5; });
        }, 50);
        return function () { return clearInterval(intervalId); };
    }, []);
    return (React.createElement("div", { style: {
            marginTop: "50px",
            display: "flex",
            justifyContent: "center",
        } },
        React.createElement("div", { style: {
                position: "relative",
                width: "50px",
                height: "50px",
            } },
            React.createElement("div", { style: {
                    position: "absolute",
                    top: 0,
                    left: 0,
                    width: "100%",
                    height: "100%",
                    borderRadius: "50%",
                    border: "5px solid gray",
                    borderTopColor: "#21D969",
                    transform: "rotate(".concat(rotation, "deg)"),
                    transition: "transform 0.05s linear",
                } }),
            React.createElement("div", { style: {
                    position: "absolute",
                    top: "5px",
                    left: "5px",
                    width: "calc(100% - 6px)",
                    height: "calc(100% - 6px)",
                    borderRadius: "50%",
                    backgroundColor: "white",
                } }))));
};
export default CircularProgress;
